Bug #1411

Bug #1404: compilation broken for libgsl2

FindGSL version test fails under cmake-3.0 => BornAgain does not build on Debian Jessie

Added by ganeva almost 4 years ago. Updated almost 4 years ago.

Status:RejectedStart date:18 Apr 2016
Priority:UrgentDue date:
Assignee:-% Done:

0%

Category:-
Target version:-

Description

The failure seems to be related to the recent changes in the file cmake/modules/FindGSL.cmake

The error message:
--------
CMake Error at /usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:136 (message):
Could NOT find GSL: Found unsuitable version "1.16", but required is exact
version "1" (found /usr/include)
Call Stack (most recent call first):
/usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:341 (_FPHSA_FAILURE_MESSAGE)
cmake/modules/FindGSL.cmake:159 (find_package_handle_standard_args)
cmake/modules/SearchInstalledSoftware.cmake:8 (find_package)
CMakeLists.txt:31 (include)

Configuring incomplete, errors occurred!
--------

History

#1 Updated by wuttke almost 4 years ago

  • Subject changed from BornAgain does not build on Debian Jessie to FindGSL version test fails under cmake-3.0 => BornAgain does not build on Debian Jessie
  • Parent task set to #1404

Let's not even attempt to repair the version testing. First resolve 1404, then remove the version testing from FindGSL.

#2 Updated by pospelov almost 4 years ago

  • Status changed from New to Rejected

Should be fixed by now.

Also available in: Atom PDF